Subject: byacc - Exception trapped
From: [email-masked] (Earnie Boyd)

2 Oct 1997 10:23:21 -0700
Message-ID: <[email-masked]>
Content-Type: multipart/mixed; 
    boundary="====================987654321_0==_"
To: [email-masked]

--====================987654321_0==_
Content-Type: text/plain; charset="us-ascii"

This should be simple:

I wanted to learn lex & yacc.  So I bought the O'Reilly & Associates 
book.  I begin compiling and linking the examples.  Things are looking 
good and working fine; until, I get to the yacc section in chapter 1.

I have the lex examples coded from Example 1.6 and the yacc examples 
coded from Example 1.7 and 1.8.  I then do:

    flex ch1-05.flex
    byacc ch1-05.byacc
    gcc -c lex.yy.c y.tab.c
    gcc -o ch1-05 lex.yy.o y.tab.o -lfl

Now here is where the problem starts:
I execute ch1-05 and get the attached dump. 8^(

I've also attached the flex and byacc source files.

Does anyone have a solution?

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
--====================987654321_0==_
Content-Type: application/octet-stream; name="ch1_05_error"
Content-Transfer-Encoding: x-uuencode
Content-Disposition: attachment; filename="ch1_05_error"

--====================987654321_0==_
Content-Type: application/octet-stream; name="ch1_05_byacc"
Content-Transfer-Encoding: x-uuencode
Content-Disposition: attachment; filename="ch1_05_byacc"

--====================987654321_0==_
Content-Type: application/octet-stream; name="ch1_05_flex"
Content-Transfer-Encoding: x-uuencode
Content-Disposition: attachment; filename="ch1_05_flex"

--====================987654321_0==_
Content-Type: text/plain; charset="us-ascii"

--====================987654321_0==_--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".